Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingRestoreInfo

Frees the memory allocated by `ISLocalToGlobalMappingGetInfo()`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingRestoreInfo(ISLocalToGlobalMapping mapping, PetscInt *nproc, PetscInt *procs[], PetscInt *numprocs[], PetscInt **indices[])

Not Collective

## Input Parameters

- mapping - the mapping from local to global indexing

- nproc - number of processes that are connected to the calling process

- procs - neighboring processes

- numprocs - number of indices for each process

- indices - indices (in local numbering) shared with neighbors (sorted by global numbering)

## See Also

Low-level Vector Communication, `ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingCreateIS()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingGetInfo()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages